## org.exist.util.serializer
Class SerializerObjectFactory

    java.lang.Object
      org.apache.commons.pool.BaseKeyedPoolableObjectFactory
          org.exist.util.serializer.SerializerObjectFactory

All Implemented Interfaces:
  org.apache.commons.pool.KeyedPoolableObjectFactory

public class SerializerObjectFactory
extends org.apache.commons.pool.BaseKeyedPoolableObjectFactory

Author:
  wolf

Constructor Summary
`SerializerObjectFactory()`

Method Summary
`void` `activateObject(java.lang.Object key, java.lang.Object obj)`
`java.lang.Object` `makeObject(java.lang.Object key)`

Methods inherited from class org.apache.commons.pool.BaseKeyedPoolableObjectFactory
`destroyObject, passivateObject, validateObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializerObjectFactory

    public SerializerObjectFactory()

Method Detail

### makeObject

    public java.lang.Object makeObject(java.lang.Object key)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### activateObject

    public void activateObject(java.lang.Object key,
                               java.lang.Object obj)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.